<?php
/**
 * @var \Illuminate\Database\Eloquent\Collection $events
 */
$relation = new \kernel\EntityRelation();
?>

<div class="flex justify-around flex-wrap gap-y-[10px]">
    <?php foreach ($events as $event): ?>
    <?php /** @var \kernel\app_modules\event\models\Event $event */ ?>
    <a class="border-[1px] border-white rounded-[6px] bg-darkGrey px-[13.5px] pt-[12px] pb-[35px] text-black" href="event/<?= $event->id ?>">
        <span class="flex w-[288px] h-[177px] bg-white">
            <?= $relation->getAdditionalPropertyByEntityId('event', $event->id, 'photo', ['cover' => true]) ?>
        </span>
        <h5 class="max-w-[267px] font-[500] text-[16px] leading-[18px] mt-[30px] mb-[8px] line-clamp-3 text-ellipsis">
            <?= $event->title ?>
        </h5>
        <p class="max-w-[267px] text-[15px] leading-[17px] line-clamp-3 text-ellipsis">
            <?= $event->description ?>
        </p>
    </a>
    <?php endforeach; ?>
</div>
