<?php

namespace kernel\app_modules\event\services;

use kernel\helpers\Debug;
use kernel\app_modules\event\models\EventContact;
use kernel\FormModel;

class EventContactService
{
    public function create(FormModel $form_model): false|EventContact
    {
        $model = new EventContact();
        // Пример заполнения:
         $model->title = $form_model->getItem('title');
         $model->type = $form_model->getItem('type');
         $model->event_id = $form_model->getItem('event_id');
         $model->status = $form_model->getItem('status');

        if ($model->save()){
            return $model;
        }

        return false;
    }

    public function update(FormModel $form_model, EventContact $event): false|EventContact
    {
        // Пример обновления:
         $event->title = $form_model->getItem('title');
         $event->type = $form_model->getItem('type');
         $event->event_id = $form_model->getItem('event_id');
         $event->status = $form_model->getItem('status');

        if ($event->save()){
            return $event;
        }

        return false;
    }
}