<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        \kernel\App::$db->schema->create('gestalt_profile_relationship', function (Blueprint $table) {
            $table->id();
            $table->integer('gestalt_profile_id')->nullable(false);
            $table->string('entity', 255)->nullable(false);
            $table->integer('entity_id')->nullable(false);
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        \kernel\App::$db->schema->dropIfExists('gestalt_profile_relationship');
    }
};
