<?php

namespace app\themes\gestalt\widgets;

use kernel\app_modules\event\models\Event;
use kernel\Widget;

class MainEventsList extends Widget
{

    protected function init(): void
    {
        parent::init();
        $this->cgView->viewPath = APP_DIR . "/themes/gestalt/views/event/";
    }

    public function run(): void
    {
        $events = Event::query()->limit(5)->get();

        $this->cgView->render('_main_events_list.php', ['events' => $events]);
    }

}