<?php

namespace app\themes\gestalt\widgets;

use kernel\app_modules\gestalt_profile\models\Gestalt_profile;
use kernel\Widget;

/**
 * @property array $data
 */
class MainPsychologistsList extends Widget
{

    protected function init(): void
    {
        parent::init();
        $this->cgView->viewPath = APP_DIR . "/themes/gestalt/views/psychologist/";
    }

    public function run(): void
    {
        $count = $this->data['count'];

        $psychologists = Gestalt_profile::where("show_on_main", 1)->limit($count)->get();

        $this->cgView->render('_main_psychologists_list.php', ['psychologists' => $psychologists]);
    }

}