<?php

namespace kernel\app_modules\event\models\forms;

use kernel\FormModel;

class CreateEventForm extends FormModel
{

    public function rules(): array
    {
        // Заполнить массив правил
        // Пример:
        // return [
        //     'label' => 'required|min-str-len:5|max-str-len:30',
        //     'entity' => 'required',
        //     'slug' => '',
        //     'status' => ''
        // ];
        return [
            'title' => 'required|min-str-len:5|max-str-len:30',
            'type' => 'required|min-str-len:5|max-str-len:30',
            'hours_count' => 'required',
            'date_start' => 'date',
            'date_end' => 'date',
            'place' => 'required|min-str-len:5|max-str-len:30',
            'event_format' => '',
            'description' => 'required|min-str-len:5',
            'additional_info' => '',
            'status' => 'integer',
        ];
    }

}