<?php

namespace kernel\app_modules\gestalt_profile\models\forms;

use kernel\FormModel;

class CreateGestalt_profileForm extends FormModel
{

    public function rules(): array
    {
        // Заполнить массив правил
        // Пример:
        // return [
        //     'label' => 'required|min-str-len:5|max-str-len:30',
        //     'entity' => 'required',
        //     'slug' => '',
        //     'status' => ''
        // ];
        return [
            'user_id' => 'integer',
            'fio' => 'required|min-str-len:5|max-str-len:80',
            'phone' => 'required|min-str-len:5|max-str-len:30',
            'email' => 'required|min-str-len:5|max-str-len:30',
            'city' => 'required|min-str-len:3|max-str-len:30',
            'photo' => '',
            'community_status' => '',
            'specialization' => '',
            'description_of_professional_activity' => '',
            'past_events' => '',
            'upcoming_events' => '',
            'under_curation_events' => '',
            'status' => 'integer',
            'show_on_main' => 'integer',
        ];
    }

}