<?php

namespace kernel\helpers;

class Url
{

    public static function get_base_url()
    {
        // Удаляем параметр page если он есть
        $currentUrl = (isset($_SERVER['HTTPS']) && $_SERVER['HTTPS'] === 'on' ? "https" : "http")
            . "://$_SERVER[HTTP_HOST]$_SERVER[REQUEST_URI]";
        // Удаляем параметр page если он есть
        $currentUrl = preg_replace('/([?&])page=[^&]*(&|$)/', '$1', $currentUrl);

        return rtrim($currentUrl, '?&');
    }

}